## org.h2.command.dml
Class SelectOrderBy

    java.lang.Object
      org.h2.command.dml.SelectOrderBy

    public class SelectOrderBy

extends java.lang.Object

Describes one element of the ORDER BY clause of a query.

Field Summary
`Expression` `columnIndexExpr` The column index expression.
`boolean` `descending` If the column should be sorted descending.
`Expression` `expression` The order by expression.
`boolean` `nullsFirst` If NULL should be appear first.
`boolean` `nullsLast` If NULL should be appear at the end.

Constructor Summary
`SelectOrderBy()`

Method Summary
`java.lang.String` `getSQL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expression

    public Expression expression

  The order by expression.

### columnIndexExpr

    public Expression columnIndexExpr

  The column index expression. This can be a column index number (1 meaning the first column of the select list) or a parameter (the parameter is a number representing the column index number).

### descending

    public boolean descending

  If the column should be sorted descending.

### nullsFirst

    public boolean nullsFirst

  If NULL should be appear first.

### nullsLast

    public boolean nullsLast

  If NULL should be appear at the end.

Constructor Detail

### SelectOrderBy

    public SelectOrderBy()

Method Detail

### getSQL

    public java.lang.String getSQL()